﻿body{
    background-color: #f5f5f5;
}
.index-block{
    width:100%;
    padding-left: 120px;
    box-sizing: border-box;
    min-height: 100vh;
    display: -webkit-flex;
    display:         flex;
    -webkit-align-items: center;
          align-items: center;
    -webkit-justify-content: center;
          justify-content: center; 
    position: relative;
}
.index-login-block{
    width:100%;
    box-sizing: border-box;
    min-height: 100vh;
    display: -webkit-flex;
    display:         flex;
    -webkit-align-items: center;
          align-items: center;
    -webkit-justify-content: center;
          justify-content: center; 
    position: relative;
}
.index-box{
    width: 450px;
    max-width: 100%;
    display: block;
    position: relative;
    border: 1px solid #d1d1d1;
    overflow: hidden;
    height: 200px;
    line-height: 200px;
    background-color: #FFF;
    text-align: center;
}
.index-login-box{
    width: 450px;
    max-width: 100%;
    display: block;
    position: relative;
    border: 1px solid #d1d1d1;
    overflow: hidden;
    box-sizing: border-box;
    background-color: #FFF;
    text-align: center;
    padding: 20px 65px;
}
.index-login-list-box{
    width: 100%;
    margin-top: 20px;
    display: block;
}
.index-login-list-text{
    width: 100%;
    height: 36px;
    box-sizing: border-box;
    border: 1px solid #d1d1d1;
    padding: 0 10px;
}
.index-login-list{
    margin-bottom: 15px;
}

.index-login-list-button{
    width: 150px;
    max-width: 100%;
    border: 1px solid #d1d1d1;
    height: 40px;
    font-size: 16px;
    letter-spacing: 1px;
    transition: all .5s ease;
    cursor: pointer;
}



.index-title{
    font-size: 38px;
    color: #555555;
    transform: skewX(-10deg);
    letter-spacing: 1px;
    font-weight: bold;
}

::-webkit-input-placeholder { font-family: "微軟正黑體"; }
:-moz-placeholder { font-family: "微軟正黑體"; }
::-moz-placeholder { font-family: "微軟正黑體"; }
:-ms-input-placeholder { font-family: "微軟正黑體"; }


/*fancy-box*/

.fancybox-table{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
}
.fancybox-table.active{
    display: table;
}
.fancybox-table-mid{
    display: table-cell;
    vertical-align: middle;
}
.fancybox-box{
    width: 800px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    z-index: 3;
}
.fancybox-img-box{
    width: 100%;
    height: 600px;
    display: block;
    margin-bottom: 10px;
    border: 1px solid rgba(255,255,255,0.2);
}
.fancybox-article{
    max-height: calc(100vh - 700px);
    overflow: auto;
}
.fancybox-article-title{
    font-size: 20px;
    color: #FFF;
    letter-spacing: 2px;
}
.fancybox-article-p{
    font-size: 16px;
    display: block;
    color: #FFF;
}

.fancybox-mask-box{
    width: 100%;
    height: 100%;
    display: block;
    background-color: rgba(0,0,0,0.6);
    position: fixed;
    top: 0;
    left: 0;
}
.fancybox-close{
    width: 40px;
    height: 40px;
    line-height: 40px;
    font-size: 20px;
    color: #000;
    text-align: center;
    position: absolute;
    top: 0;
    right: 0;
    background-color: #ddd;
    cursor: pointer;
    z-index: 3;
}
.body-close{
    overflow: hidden;

}
.body-close::-webkit-scrollbar{
    display:none;
}

.fancybox-link{
    position: fixed;
    text-align: center;
    top: calc(50% - 31px);
}
.news-prev{
    right: calc(50% + 427px);
}
.news-next{
    left: calc(50% + 427px);
}
.fancybox-link i{
    font-size: 24px;
    color: #FFF;
    display: block;
    margin-bottom: 10px;
}
.fancybox-link p{
    font-size: 18px;
    color: #FFF;
}
.fancybox-block{
    width: 100%;
    max-height: 100vh;
    overflow: auto;

}
.fancybox-block::-webkit-scrollbar{
    display:none;
}


/*----------------------------*/

.rwd-menu-class-list{
    width: 100%;
    height: 46px;
    border: 1px solid #888;
    font-size: 16px;
    letter-spacing: 1px;
    text-align: center;
    display: none;
    line-height: 46px;
    position: relative;
    box-sizing: border-box;
}
.rwd-menu-class-list:after {
    content: '';
    width: 0px;
    height: 0px;
    margin: 0 auto;
    border-right: 10px solid transparent;
    border-top: 10px solid #888;
    border-left: 10px solid transparent;
    display: block;
    position: absolute;
    bottom: calc(50% - 5px);
    right: 5%;
    box-sizing: border-box;
}



/*------------------------動畫---------------------------*/
.index-mask{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
    background-color: #FFF;
    animation: right-out 1s linear 0s 1 both;
}


/*--------------------------------------------------------*/
.member-class-box{
    font-size: 0;
    margin-bottom: 20px;
}
.member-class-list{
    width: 150px;
    max-width: 100%;
    background-color: #535353;
    display: inline-block;
    padding: 15px 10px;
    vertical-align: top;
    text-align: center;
    margin-right: 10px;
    transition: all .5s ease;
}
.member-class-list:last-child{
    margin-right: 0px;
}
.member-class-list span{
    display: inline-block;
    color: #FFF;
    transform: skewX(-10deg);
    letter-spacing: 1px;
    font-weight: bold;
    font-size: 20px;
}

.member-password-box{
    font-size: 0;
    padding: 15px 0;
}
.member-password-box .step-add-table-list-title-box{
    width: 150px;
    padding: 0;
    text-align: center;
}
.member-password-box .step-add-table-list-title{
    display: inline-block;
    font-size: 18px;
    height: 50px;
    line-height: 50px;
}
.member-password-box .step-add-table-list-input-box{
    width: calc(100% - 150px);
}
.member-password-box .step-add-table-list-input{
    height: 50px;
    font-size: 18px;
}
.member-password-list{
    margin-bottom: 20px;
}


.member-password-box .step-add-table-button{
    width: 300px;
    height: 50px;
    line-height: 50px;
    font-size: 20px;
    cursor: pointer;
    display: block;
}
.member-password-box .step-add-table-button:last-child{
    margin: 0 auto;
    margin-top: 40px;
}
.member-password-box .step-add-table-button span{
    font-weight: bold;
}


/*---------------動畫---------------*/
.member-class-list:hover,
.member-class-list.active{
    background-color: #0068b7;
    color: #FFF;
}
.index-login-list-button:hover{
    background-color: #000;
    color: #FFF;
}



@media only screen and (max-width: 550px){
    .index-login-box{
        width: 95%;
        padding: 20px 30px;
    }
}
@media only screen and (max-width: 340px){
    .index-login-box{
        width: 95%;
        padding: 20px 20px;
    }
}